org.eclipse.wst.jsdt.ui.text.java

## Class CompletionProposalLabelProvider

- java.lang.Object
- - org.eclipse.wst.jsdt.ui.text.java.CompletionProposalLabelProvider

    public class CompletionProposalLabelProvider
    extends java.lang.Object

Provides labels for JavaScript content assist proposals. The functionality is similar to the one provided by `JavaScriptElementLabels`, but based on signatures and `CompletionProposal`s.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Constructor Summary

Constructors
Constructor and Description
`CompletionProposalLabelProvider()` Creates a new label provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`ImageDescriptor` `createImageDescriptor(CompletionProposal proposal)` Creates and returns a decorated image descriptor for a completion proposal.
`java.lang.String` `createLabel(CompletionProposal proposal)` Creates the display label for a given `CompletionProposal`.
`java.lang.String` `createParameterList(CompletionProposal proposal)` Creates and returns a parameter list of the given method or type proposal suitable for display.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompletionProposalLabelProvider

    public CompletionProposalLabelProvider()

Creates a new label provider.

### Method Detail

#### createParameterList

    public java.lang.String createParameterList(CompletionProposal proposal)

Creates and returns a parameter list of the given method or type proposal suitable for display. The list does not include parentheses. The lower bound of parameter types is returned.

Examples:

       "void method(int i, Strings)" -> "int i, String s"
       "? extends Number method(java.lang.String s, ? super Number n)" -> "String s, Number n"

Parameters:
  `proposal` - the proposal to create the parameter list for. Must be of kind `CompletionProposal.METHOD_REF` or `CompletionProposal.TYPE_REF`.
Returns:
  the list of comma-separated parameters suitable for display

#### createLabel

    public java.lang.String createLabel(CompletionProposal proposal)

Creates the display label for a given `CompletionProposal`.

Parameters:
  `proposal` - the completion proposal to create the display label for
Returns:
  the display label for `proposal`

#### createImageDescriptor

    public ImageDescriptor createImageDescriptor(CompletionProposal proposal)

Creates and returns a decorated image descriptor for a completion proposal.

Parameters:
  `proposal` - the proposal for which to create an image descriptor
Returns:
  the created image descriptor, or `null` if no image is available